Bug 178995 - XFS File System on root partition: kernel crash (2.6.15-1.1826.2.5_FC5 not affected)
XFS File System on root partition: kernel crash (2.6.15-1.1826.2.5_FC5 not af...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-01-26 05:26 EST by angus
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-27 15:44:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
crash xfs (287.55 KB, image/jpeg)
2006-01-30 10:10 EST, angus
no flags Details

  None (edit)
Description angus 2006-01-26 05:26:41 EST
kernel crash on mounting / parition (xfs File System) under all kernel since
2.6.15-1.1826.2.5_FC5 (this one is not affected).

I've just tested kernel-2.6.15-1.1871_FC5 and crash already occurs.

How can I give you some trace of the kernel crash?
I've got a message saying automatic reboot will occur in 120 secondes or
something like that.
Comment 1 Dave Jones 2006-01-27 15:44:31 EST
there should be a bunch of text before the countdown, which is the actual panic

XFS problems are better reported upstream however, as we won't spend any time
actively fixing them in Fedora, but rather inherit them from upstream fixes.

The XFS maintainers can be found at xfs-masters@oss.sgi.com

(For their info, kernel-2.6.15-1.1871_FC5 is based on upstream 2.6.16-rc1-git4,
with no additional XFS patches).
Comment 2 angus 2006-01-30 10:10:56 EST
Created attachment 123866 [details]
crash xfs
Comment 3 angus 2006-01-30 10:12:00 EST
OK. I'll post on sgi bugzilla.
Nevertheless, this is the crash in JPEG.

Comment 4 Eric Sandeen 2006-01-30 17:04:14 EST
Thanks, we've got this bug over at
http://oss.sgi.com/bugzilla/show_bug.cgi?id=472 now.
Comment 5 Eric Sandeen 2006-01-30 23:33:53 EST
Just FYI for the RH guys:

I put 2.6.15-1.1881_FC5 on my x86_64 box running RHEL4, and ran our latest
xfstests test suite against it, with the latest xfsprogs.

Things generally work, most tests are passing, but certainly nothing oopsed
in the many many filesystem mounts that happen during the tests.

We're going to need more info from the oops before we'd be able
to make any progress on this.

p.s. could we get the oss.sgi.com bugzilla entry in the external bugzilla
reference list...?
Comment 6 Eric Sandeen 2006-02-01 22:44:14 EST
The patch at 


should address this.
Comment 7 angus 2006-02-02 05:29:39 EST
I confirm, this patch fix this oops.

Fedora guys, could you add this little patch ?

Comment 8 Dave Jones 2006-02-03 15:02:16 EST
I'd rather you get it upstream.
FC5test is still rebasing to Linus' tree on a daily basis, and this sounds like
definite 2.6.16rc3 material.

Note You need to log in before you can comment on or make changes to this bug.